import QtQuick 2.6
import QtQuick.Controls 2.2

ApplicationWindow {
    id: applicationWindow
    title: qsTr("Sensors")
    width: 360; height: 640
    visible: true
    header: ToolBar {
        contentHeight: toolButton.implicitHeight
        visible: pageStack.depth > 1

        ToolButton {
            id: toolButton
            text: "\u25C0"
            font.pixelSize: Qt.application.font.pixelSize * 1.6
            onClicked: pageStack.pop()
        }
        Label {
            text: pageStack.currentItem.title
            anchors.centerIn: parent
        }
    }

    StackView {
        id: pageStack
        anchors.fill: parent
//        initialItem: Qt.resolvedUrl("pages/SensorsListPage.qml")
        initialItem: Qt.resolvedUrl("pages/NoGravityAccelerometerPage.qml")
    }
}
