#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include "NoGravityAccelerometer.h"

int main(int argc, char *argv[])
{
    qmlRegisterType<NoGravityAccelerometer>("Sensors", 1, 0, "NoGravityAccelerometer");
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QGuiApplication app(argc, argv);
    QQmlApplicationEngine engine;
    engine.load(QUrl(QStringLiteral("qrc:/qml/sensors.qml")));
    if (engine.rootObjects().isEmpty())
        return -1;
    return app.exec();
}
