import QtQuick 2.6
import QtQuick.Controls 2.2
import Sensors 1.0
import "../assets"

Page {
    id: page

    title: qsTr("No Gravity Accelerometer")

    NoGravityAccelerometer {
        id: accelerometer
        active: true
    }
    Column {
        anchors.fill: parent

        ValueDisplay {
            label: qsTr("x")
            value: accelerometer.reading.x.toFixed(6)
            valid: accelerometer.reading
            notValidText: qsTr("No accelerometer data")
            width: parent.width
        }
        ValueDisplay {
            label: qsTr("y")
            value: accelerometer.reading.y.toFixed(6)
            valid: accelerometer.reading
            notValidText: qsTr("No accelerometer data")
            width: parent.width
        }
        ValueDisplay {
            label: qsTr("z")
            value: accelerometer.reading.z.toFixed(6)
            valid: accelerometer.reading
            notValidText: qsTr("No accelerometer data")
            width: parent.width
        }
    }
}
