import QtQuick 2.6
import QtQuick.Controls 2.2
import QtSensors 5.2

Page {
    property alias sensorIdentifier: lightSensor.identifier

    title: qsTr("Light Sensor")

    LightSensor {
        id: lightSensor
        active: true
    }
    Label {
        anchors.centerIn: parent
        text: lightSensor.reading ?
            qsTr("%1 lux").arg(lightSensor.reading.illuminance) :
            qsTr("Unknown")
        font.pixelSize: Qt.application.font.pixelSize * 2
    }
}
