import QtQuick 2.6
import QtQuick.Controls 2.2
import QtSensors 5.2

Page {
    property alias sensorIdentifier: proximitySensor.identifier

    title: qsTr("Proximity Sensor")

    ProximitySensor {
        id: proximitySensor
        active: true
    }
    Switch {
        anchors.centerIn: parent
        enabled: proximitySensor.active
        checked: proximitySensor.active && proximitySensor.reading.near
        checkable: false
    }
}
